Summary: Script to Reconfigure PAM modules
Name: afs-pam
%define version afsusefirst
%define release 1
Version: %{version}
Release: %{release}
Copyright:GPL
Group: Fermi
Packager: Troy Dawson <dawson@fnal.gov>
Source: afspamafsusefirst.tgz

%description
In order for automatic logins using AFS, the pam files have to be modified.
afs-pam is a collection of pam modules that have already been pre-made for
certain situations.
afsusefirst will atempt to get an AFS token using the users NIS password.  If
this fails, the user will log in, but not get an AFS token.

%preun
/usr/sbin/uninstall-afs-pam %{version} %{release}

%prep
%setup

%install
install -m 0644 chfn /etc/pam.d/chfn.new-afs-pam
install -m 0644 chsh /etc/pam.d/chsh.new-afs-pam
install -m 0644 ftp /etc/pam.d/ftp.new-afs-pam
install -m 0644 gdm /etc/pam.d/gdm.new-afs-pam
install -m 0644 kde /etc/pam.d/kde.new-afs-pam
install -m 0644 linuxconf /etc/pam.d/linuxconf.new-afs-pam
install -m 0644 linuxconf-pair /etc/pam.d/linuxconf-pair.new-afs-pam
install -m 0644 login /etc/pam.d/login.new-afs-pam
install -m 0644 passwd /etc/pam.d/passwd.new-afs-pam
install -m 0644 ppp /etc/pam.d/ppp.new-afs-pam
install -m 0644 rexec /etc/pam.d/rexec.new-afs-pam
install -m 0644 rlogin /etc/pam.d/rlogin.new-afs-pam
install -m 0644 xdm /etc/pam.d/xdm.new-afs-pam
install -m 0644 xscreensaver /etc/pam.d/xscreensaver.new-afs-pam
install -m 0700 install-afs-pam /usr/sbin/install-afs-pam
install -m 0700 uninstall-afs-pam /usr/sbin/uninstall-afs-pam
echo "%{release}" > /usr/sbin/afs-pam-rpm-release

%post
/usr/sbin/install-afs-pam %{version} %{release}

%files
/usr/sbin/install-afs-pam
/usr/sbin/uninstall-afs-pam
/usr/sbin/afs-pam-rpm-release
/etc/pam.d/chfn.new-afs-pam
/etc/pam.d/chsh.new-afs-pam
/etc/pam.d/ftp.new-afs-pam
/etc/pam.d/gdm.new-afs-pam
/etc/pam.d/kde.new-afs-pam
/etc/pam.d/linuxconf.new-afs-pam
/etc/pam.d/linuxconf-pair.new-afs-pam
/etc/pam.d/login.new-afs-pam
/etc/pam.d/passwd.new-afs-pam
/etc/pam.d/ppp.new-afs-pam
/etc/pam.d/rexec.new-afs-pam
/etc/pam.d/rlogin.new-afs-pam
/etc/pam.d/xdm.new-afs-pam
/etc/pam.d/xscreensaver.new-afs-pam

